test_t Struct Reference

## Data Fields

db_object_t * | dbo
db_value_t * | id
char * | name

## Detailed Description

Definition at line 39 of file test_database_operations.c.

## Field Documentation

## dbo

db_object_t* test_t::dbo

Definition at line 40 of file test_database_operations.c.

Referenced by test_count_by_id(), test_count_by_name(), test_create(), test_delete(), test_free(), test_get_by_id(), test_get_by_name(), test_new(), and test_update().

## id

db_value_t* test_t::id

Definition at line 41 of file test_database_operations.c.

Referenced by test_create(), test_delete(), test_free(), test_from_result(), test_id(), test_new(), and test_update().

## name

char* test_t::name

Definition at line 42 of file test_database_operations.c.

Referenced by test_create(), test_free(), test_from_result(), test_name(), test_set_name(), and test_update().

The documentation for this struct was generated from the following file:

- src/db/test/test_database_operations.c